#%%
import struct
import numpy as np

def get_float_enc(f):
    return ''.join(bin(c).replace('0b', '').rjust(8, '0') for c in struct.pack('!f', f))

def print_float(f):
    s=get_float_enc(f)
    print('{:2.6f} -> {} {} {}'.format(f,s[0],s[1:9],s[9:]))

lst=[3.14, 0.125, 9.3, 0.0, -0.0, np.nan, np.inf]
for f in lst:
    print_float(f)



#%%
